Subject: how do you "force a pull"?

From: Jing Xue <[email-masked]>
Date: Sat, 25 Aug 2007 07:19:46 -0400

I am working in repo1, and make a savepoint commit and pack up and leave.

On another machine, I have a clone of repo1 (repo2). So I pull from
repo1, "git reset --soft HEAD" to get rid of the savepoint commit, and start working in repo2.

A while later I realize the earlier commit was actually a good commit
point. But I can no longer pull it again from repo1. It keeps giving me
the "Cannot merge" fatal error. "-f" doesn't help.

So in general my question is "how do you force pulling from a remote
repository?"  (short of, you know, recloning the repo...)

I have a feeling that either I'm still stuck in the traditional central-repository
mentality, or missing something real simple.

Thanks.
-- 
Jing Xue